Вопрос: Проблема обновления пакета R на Ubuntu 17.10


В R, чтобы использовать другие пакеты, Biocgenerics должен быть обновлен с 0,22 до 0,23,3. Но в Ubuntu последняя версия r-bioc-biocgenerics 0,22. Я не мог сделать обновление от Ubuntu и R.

Как я могу обновить Biocgenerics?


0
2017-11-24 11:37


Источник


близкие избиратели, я отредактировал вопрос, чтобы уточнить, что задают. ИМО было не совсем ясно. - amc


Ответы:


Вы не должны использовать репозиторий Ubuntu для установки пакетов bioconductor. Используйте подход, описанный на странице Bioconductor для Biocgenerics:

## try http:// if https:// URLs are not supported
source("https://bioconductor.org/biocLite.R")
biocLite("BiocGenerics")

2
2017-11-24 11:50



Да. но на ubuntu пакет версии 0.22. Не стоит ли обновлять R на 0.23.3? Я все равно не могу обновить, я не мог найти решение - Sinem Selvi